#!/bin/sh

# bocca wrapper on gui-backend to supply the default rc file.
# if you specify another rc file, it will override the default.

BOCCA_HOME=/home/khuck/src/cca/temp/pe2/install
CCAFE_CONFIG=/usr/local/packages/cca-tools-contractor/0.2.6/bin/ccafe-config

BOCCA=/usr/local/packages/cca-tools-contractor/0.2.6/bin/bocca

if test -x $BOCCA; then
	:
else
	echo "It looks like this project has not been configured yet. Run configure before using the GUI."
	exit 1
fi

PROJECT_DIR=/home/khuck/src/cca/temp/pe2

#KPATH="`$CCAFE_CONFIG --var CCAFE_bindir`"
#$KPATH/gui-backend.sh  --ccafe-rc $PROJECT_DIR/components/tests/guitest.gen.rc $* &

$PROJECT_DIR/buildutils/testComponent.sh --gui-backend --ccafe-rc $PROJECT_DIR/components/tests/guitest.gen.rc \
	--cca-dir $PROJECT_DIR/install/share/cca --lib-dir $PROJECT_DIR/install/lib --ccafe-config $CCAFE_CONFIG $* 


