#!/bin/sh

BOCCA_HOME=/home/khuck/src/cca/temp/pe2/install
CCAFE_CONFIG=/usr/local/packages/cca-tools-contractor/0.2.6/bin/ccafe-config
BOCCA=/usr/local/packages/cca-tools-contractor/0.2.6/bin/bocca
if test -x $BOCCA; then
	:
else
	echo "It looks like this project has not been configured yet or not configured with bocca."
	echo "The gui launcher script requires configuration with bocca."
	exit 1
fi

PROJECT_DIR=/home/khuck/src/cca/temp/pe2

$PROJECT_DIR/buildutils/testComponent.sh --gui \
	--ccafe-rc $PROJECT_DIR/components/tests/guitest.gen.rc \
	--cca-dir $PROJECT_DIR/install/share/cca \
	--lib-dir $PROJECT_DIR/install/lib \
	--ccafe-config $CCAFE_CONFIG
